<lib-condensed-header-layout
  [pageTitle]="
    'feature_events.details.all_times_overview_count'
      | transloco: { count: event?.occurrences?.length || 0 }
  "
  [showBackButton]="true"
  [useMaximumBackground]="true"
  class="ion-page"
  titleLang="de"
>
  @if (event) {
    <ion-grid class="ion-no-padding" *ngIf="!detailsLoadingComplete">
      <ion-row>
        <ion-col
          *ngIf="event.occurrences.length > 1"
          class="flex-list-medium"
          size="12"
        >
          <div class="event-title">{{ event.title }}</div>
          <div class="flex-list-lines">
            <ng-container
              *ngFor="let eventOccurence of event.occurrences; let i = index"
            >
              <lib-custom-horizontal-button
                [routerLink]="['../../', eventOccurence.id]"
                [colorScheme]="customButtonColorScheme.hint"
                [buttonType]="customButtonType.link"
                [endIcon]="'arrow_forward'"
                [title]="eventOccurence.start | localizedFormatDate: 'PPPP'"
              ></lib-custom-horizontal-button>
            </ng-container>
          </div>
        </ion-col>
      </ion-row>
    </ion-grid>
  }
</lib-condensed-header-layout>
